<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script>
        const text1 = "http://13.213.37.38:3000/await-hw/head.txt"
        const text2 = "http://13.213.37.38:3000/await-hw/body.txt"
        const text3 = "http://13.213.37.38:3000/await-hw/leg.txt"
        const text4 = "http://13.213.37.38:3000/await-hw/feet.txt"

        let connect = true
        function read(text) {
            return new Promise(function(resolve,reject){
                if(connect) {
                    resolve(axios.get(text))
                }else{
                    reject("Fail")
                }
            })
        }
        async function start() {
            let head = await read(text1)
            document.write(head.data)
            let body = await read(text2)
            document.write(body.data)
            let leg = await read(text3)
            document.write(leg.data)
            let feet = await read(text4)
            document.write(feet.data)
        }
        start();

    </script>
    <title>Document</title>
</head>

<body>